阿里云
阿里云多端小程序中小企业获客首选
发表主题 回复主题
  • 14780阅读
  • 2回复

[安全漏洞公告专区]【漏洞公告】CVE-2018-11776/S2-057:Struts 2远程命令执行漏洞

级别: 论坛版主
发帖
241
云币
478
Apache Struts2 官方发布了最新的安全公告,披露了一个远程命令执行漏洞(漏洞编号:CVE-2018-11776,官方编号:S2-057),攻击者可利用漏洞实施远程命令执行攻击。 (QojIdHt  
  
w87$p821  
漏洞编号: X%og}Cfi  
CVE-2018-11776/S2-057 cb|hIn\>7  
漏洞名称: vV=rBO0a?  
Struts 2远程命令执行漏洞 eu]qgtg~U  
漏洞描述: ml)\RL  
在使用Struts2框架定义XML配置时,如果namespace值未设置且上层动作配置(Action Configuration)中未设置或用通配符namespace时可能会导致远程代码执行。 [_ uT+q3  
url标签未设置value和action值且上层动作未设置或用通配符namespace时可能会导致远程代码执行。 (]?M=?0\  
影响范围: 0dsL%G~/N  
Struts 2.3 – Struts 2.3.34, Struts 2.5 – Struts 2.5.16 /V2yLHm  
其余版本也可能会受到影响 `H9 +]TWj<  
漏洞检测: '"c`[L7Wn  
开发人员检查是否使用了受影响版本范围内的版本。   uT=5zu  
漏洞修复建议(或缓解措施):   5zZQt +Ip  
建议您根据业务情况,升级到最新版本。 JSylQ201  
下载链接如下: =j20A6gND  
hhWy-fP#  
注:建议您在版本升级前请使用快照或其他方式做好数据备份工作,避免出现意外。 6wbH{}\ll  
情报来源: -s)h ?D  
!,Cbb }  
h3GUFiZ.  
eHIcfp@&  
[ 此帖被正禾在2018-08-22 20:22重新编辑 ]
级别: 新人
发帖
1
云币
1
只看该作者 沙发  发表于: 2018-08-24
Re【漏洞公告】CVE-2018-11776/S2-057Struts 2远程命令执行漏洞
级别: 程序猿
发帖
497
云币
745
只看该作者 板凳  发表于: 2018-09-07
 
关注~~
 
[ 此帖被服务器云在2018-11-09 21:47重新编辑 ]
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
批量上传需要先选择文件,再选择上传
 
验证问题: 21 + 77 = ?
上一个 下一个
      ×
      全新阿里云开发者社区, 去探索开发者的新世界吧!
      一站式的体验,更多的精彩!
      通过下面领域大门,一起探索新的技术世界吧~ (点击图标进入)